/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Jormundgand\Mobiles\Named\Leviath.cs
Lines of code: 96
***********************************************************/


using System;
using System.Collections;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a leviath corpse" )]
	public class Leviath : BaseCreature
	{
	
		public override WeaponAbility GetWeaponAbility()  
		{ 
		return WeaponAbility.Disarm; 
		}	
	
		[Constructable]
		public Leviath() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Leviath";
			Body = 150;
			BaseSoundID = 353;

			Hue = 1154;

			SetStr( 1000 );
			SetDex( 501, 520 );
			SetInt( 501, 515 );
			
			SetMana( 1000 );
			SetHits( 2500 );

			SetDamage( 25, 30 );

			SetDamageType( ResistanceType.Physical, 70 );
			SetDamageType( ResistanceType.Cold, 30 );

			SetResistance( ResistanceType.Physical, 55, 65 );
			SetResistance( ResistanceType.Fire, 45, 55 );
			SetResistance( ResistanceType.Cold, 45, 55 );
			SetResistance( ResistanceType.Poison, 35, 45 );
			SetResistance( ResistanceType.Energy, 15, 25 );

			SetSkill( SkillName.EvalInt, 103.5, 110.5 );
			SetSkill( SkillName.Magery, 103.5, 110.5 );
			SetSkill( SkillName.MagicResist, 107.5, 117.5 );
			SetSkill( SkillName.Meditation, 107.5, 117.5 );
			SetSkill( SkillName.Tactics, 107.5, 108.5 );
			SetSkill( SkillName.Wrestling, 107.5, 117.5 );

			Fame = 10000;
			Karma = -10000;

			VirtualArmor = 50;

			CanSwim = true;
			CantWalk = false;
		}
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 3 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
								default:
					case 1: item = new LeviathKey(); break;
							}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Rich, 2 );
		}
		
		public override bool ReacquireOnMovement{ get{ return true; } }
		public override bool HasBreath{ get{ return true; } }
		public override int BreathPhysicalDamage{ get{ return 70; } } 
		public override int BreathColdDamage{ get{ return 30; } }
		public override int BreathFireDamage{ get{ return 0; } }
		public override int BreathEffectHue{ get{ return 0x1ED; } }
		public override double BreathDamageScalar{ get{ return 0.07; } }
		public override double BreathMinDelay{ get{ return 11.5; } }
		public override double BreathMaxDelay{ get{ return 19.5; } }
		public override double BonusPetDamageScalar{ get{ return 1.0; } }
		public override bool CantbeSupreme{ get{ return true; } }			
		
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		
		public override bool IsMLCreature { get { return true;} } 
		public override bool IsMLBoss { get { return true;} }	
		
		public override bool AutoDispel{ get{ return true; } }
		public override double AutoDispelChance{ get{ return 0.4; } }

		public Leviath( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}